## org.apache.poi.hslf.model
Class Notes

    java.lang.Object
      org.apache.poi.hslf.model.Sheet
          org.apache.poi.hslf.model.Notes

    public final class Notes

extends Sheet

This class represents a slide's notes in a PowerPoint Document. It allows access to the text within, and the layout. For now, it only does the text side of things though

Author:
  Nick Burch

Constructor Summary
`Notes(Notes notes)` Constructs a Notes Sheet from the given Notes record.

Method Summary
`MasterSheet` `getMasterSheet()` Return `null` - Notes Masters are not yet supported
`TextRun[]` `getTextRuns()` Returns an array of all the TextRuns found

Methods inherited from class org.apache.poi.hslf.model.Sheet
`_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, draw, findTextRuns, findTextRuns, getBackground, getColorScheme, getPlaceholder, getPlaceholderByTextType, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, onAddTextShape, onCreate, removeShape, setSlideShow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Notes

    public Notes(Notes notes)

  Constructs a Notes Sheet from the given Notes record. Initialises TextRuns, to provide easier access to the text

  Parameters:
    `notes` - the Notes record to read from

Method Detail

### getTextRuns

    public TextRun[] getTextRuns()

  Returns an array of all the TextRuns found

  Specified by:
    `getTextRuns` in class `Sheet`

### getMasterSheet

    public MasterSheet getMasterSheet()

  Return `null` - Notes Masters are not yet supported

  Specified by:
    `getMasterSheet` in class `Sheet`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.